﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Test.aspx.cs" Inherits="DialogEditing.Test" %>

<!DOCTYPE html>


<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.1400.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

    <%@ Register Assembly="Syncfusion.EJ, Version=13.1400.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

     <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>

    <link href="themes/flat-lime/ej.web.all.min.css" rel="stylesheet" type="text/css" />
    <script src="scripts/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="scripts/jquery.easing.1.3.min.js" type="text/javascript"></script>
    <script src="scripts/jquery.globalize.min.js" type="text/javascript"></script>
    <script src="scripts/jsrender.min.js" type="text/javascript"></script>
    <script src="scripts/ej.web.all.min.js" type="text/javascript"></script>
    <script src="scripts/ej.webform.min.js" type="text/javascript"></script>


<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
               
                <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True"  AllowTextWrap="true" OnServerEditRow="EditEvents_ServerEditRow"
                    OnServerAddRow="EditEvents_ServerAddRow" OnServerDeleteRow="EditEvents_ServerDeleteRow">
                    <ClientSideEvents ActionComplete="complete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" />
                    <Columns>
                        <ej:Column Field="str_product_code" HeaderText="str_product_code" IsPrimaryKey="true" TextAlign="Right" Width="80" Visible="false">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                               
                            </ValidationRule>
                        </ej:Column>
                        <ej:Column Field="str_product_name" HeaderText="Product Name" Width="80">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />                         
                            </ValidationRule>
                        </ej:Column>
                      
                        <ej:Column Field="dml_price" HeaderText="Price" TextAlign="Right" Width="80" Format="{0:C}" EditType="Numeric">
                            <NumericEditOptions DecimalPlaces="2"></NumericEditOptions>
                        </ej:Column>
                        <ej:Column Field="str_Country" HeaderText="Location" Width="90" EditType="Dropdown" >
                          </ej:Column>                
                    </Columns>
                    <EditSettings AllowEditing="True" RowPosition="Top"  AllowAdding="True" AllowDeleting="True" ></EditSettings>
                    <ToolbarSettings ShowToolbar="True"  ToolbarItems="add,edit,delete,update,cancel" ></ToolbarSettings>
                </ej:Grid>

            </ContentTemplate>
        </asp:UpdatePanel>
    </div>

          <script type="text/javascript">
         function complete(args) {


            if (args.requestType == "refresh") {

                args.element.ejDropDownList({ width: "100%", dataSource: args.column[3].dataSource, fields: { text: "CountryDescription", value: "CountryDescription" }, selectedItemIndex: 0 });
            }

            if (args.requestType == "beginedit" || args.requestType == "add") {

                args.element.ejDropDownList({ width: "100%", dataSource: args.column[3].dataSource, fields: { text: "CountryDescription", value: "CountryDescription" }, selectedItemIndex: 0 });

            }

        }
    </script>
    </div>
    </form>
</body>
</html>
