﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.Models;
using Syncfusion.JavaScript.Web;

namespace DialogEditing
{
    public partial class Test : System.Web.UI.Page
    {
        
        List<Country> country = new List<Country>();

        protected void Page_Load(object sender, EventArgs e)
        {
            BindDropDownlist();
           
           
        }

        private void BindDropDownlist()
        {

            country.Add(new Country() { CountryID = 1, CountryDescription = "USA" });
            country.Add(new Country() { CountryID = 2, CountryDescription = "UK" });
            country.Add(new Country() { CountryID = 3, CountryDescription = "CANADA" });

            this.OrdersGrid.Columns[3].DataSource = country;
            this.OrdersGrid.DataBind();

        }


        [Serializable]
        public class Country
        {
            public Country()
            {
            }
            public Country(int id, string description)
            {
                this.CountryID = id;
                this.CountryDescription = description;
            }
            public int CountryID { get; set; }
            public string CountryDescription { get; set; }
        }



        protected void EditEvents_ServerEditRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditEvents_ServerAddRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditEvents_ServerDeleteRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditAction(string eventType, object record)
        {
            
        }

      
    }
}
